@echo off

set PATH=%PATH%;.\lib\

set root_path=.\lib\

set CP=%root_path%activation.jar
set CP=%CP%;%root_path%aspirin-0.6.4.2.jar
set CP=%CP%;%root_path%BrowserLauncher2-10.jar
set CP=%CP%;%root_path%Classifier4J-0.51.jar
set CP=%CP%;%root_path%commons-httpclient-2.0.jar
set CP=%CP%;%root_path%commons-logging-1.0.3.jar
set CP=%CP%;%root_path%dnsjava-1.6.4.jar
set CP=%CP%;%root_path%ekitspell.jar
set CP=%CP%;%root_path%hsqldb.jar
set CP=%CP%;%root_path%j2ee.jar
set CP=%CP%;%root_path%j2h.jar
set CP=%CP%;%root_path%jakarta-regexp-1.3.jar
set CP=%CP%;%root_path%jaxen-full.jar
set CP=%CP%;%root_path%jdom-b10-rc1.jar
set CP=%CP%;%root_path%lucene-1.3-final.jar
set CP=%CP%;%root_path%mail_1_3.jar
set CP=%CP%;%root_path%saxpath.jar
set CP=%CP%;%root_path%swixml.jar
set CP=%CP%;%root_path%ui.jar
set CP=%CP%;%root_path%xmlrpc-1.2-b1.jar


:: java -cp %CP% -Duser.language=ja -Duser.region=JP -Xincgc org.masukomi.caterpillar.core.Caterpillar"%1"
:: java -cp %CP% -Duser.language=de -Duser.region=DE -Xincgc org.masukomi.caterpillar.core.Caterpillar "%1"
:: java -cp %CP% -Duser.language=es -Duser.region=ES -Xincgc org.masukomi.caterpillar.core.Caterpillar "%1"
java -cp %CP% -Xincgc org.masukomi.caterpillar.core.Caterpillar "%1"

@echo on
